let world = class{
	
	map = [];
	
	constructor(size){
		this.size = size;
		this.map = this.create();
	}
	
create(){
	
	let thisWorld = [];
	let thisID = 1;
	let startX = 0;
	let startY = 0;
	
	let water01 = new Image();
	water01.src = 'images/tiles/water01.jpg';
	
	let water02 = new Image();
	water02.src = 'images/tiles/water02.jpg';
	
	let bomb01 = new Image();
	bomb01.src = 'images/tiles/bomb01.jpg';
	
	let thisImage = new Image();
	
	for(let i = 0; i < this.size; i++){
		thisWorld[i] = [];
		for(let j = 0; j < this.size; j++){
			
			if(startX == (this.size * tileWidth)){
				startY += tileHeight;
				startX = 0;
			}
			
			let numSeed = Math.floor(Math.random() * 3);
			
			if(numSeed == 0){
				thisImage = water01;
			}else if(numSeed == 1){
				thisImage = water02;
			}else if(numSeed == 2){
				thisImage = bomb01;
			}else{
				thisImage = water01;
			}
			
			thisWorld[i][j] = {x: startX, y: startY, tile: thisImage, tileID: thisID};
			++thisID;
			startX += tileWidth;
			
		}
	}

	return thisWorld;
}

draw(context){

	for(let i = 0;i < this.size;i++){
		for(let j = 0; j < this.size; j++){

			var thisTile = new tile(this.map[i][j].tileID, this.map[i][j].x, this.map[i][j].y,this.map[i][j].tile);
			thisTile.draw(context);
		}
	}
	}
	   
}